%define major 0
%define libname %mklibname discid %{major}
%define develname %mklibname -d discid

Summary:A Library for creating MusicBrainz DiscIDs
Name: libdiscid
Version: 0.6.2
Release: %mkrel 3
Source0: http://ftp.musicbrainz.org/pub/musicbrainz/libdiscid/%{name}-%{version}.tar.gz
License: LGPLv2+
Group: System/Libraries
Url: http://musicbrainz.org/doc/libdiscid

%description
libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
It reads a CD's table of contents (TOC) and generates an identifier which
can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
Additionally, it provides a submission URL for adding the DiscID to the
database.

%package -n %{libname}
Summary:A Library for creating MusicBrainz DiscIDs
Group: System/Libraries
# gw for python-musicbrainz2 to depend on
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
It reads a CD's table of contents (TOC) and generates an identifier which
can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
Additionally, it provides a submission URL for adding the DiscID to the
database.

%package -n %{develname}
Summary:A Library for creating MusicBrainz DiscIDs
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d discid 0

%description -n %{develname}
libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
It reads a CD's table of contents (TOC) and generates an identifier which
can be used to lookup the CD at MusicBrainz (http://musicbrainz.org).
Additionally, it provides a submission URL for adding the DiscID to the
database.


%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc README AUTHORS
%{_libdir}/libdiscid.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libdiscid.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.6.2-3.mga8
+ Revision: 1514049
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.6.2-2.mga7
+ Revision: 1298804
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Jan 30 2017 gw666 <gw666> 0.6.2-1.mga6
+ Revision: 1084203
- new version

* Mon Feb 08 2016 umeabot <umeabot> 0.6.1-5.mga6
+ Revision: 947596
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-4.mga5
+ Revision: 748386
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-3.mga5
+ Revision: 681411
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.6.1-2.mga4
+ Revision: 538930
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 luigiwalser <luigiwalser> 0.6.1-1.mga4
+ Revision: 491119
- 0.6.1

* Fri Aug 02 2013 sander85 <sander85> 0.5.2-1.mga4
+ Revision: 462712
- New version: 0.5.2

* Sat Jun 22 2013 luigiwalser <luigiwalser> 0.5.1-1.mga4
+ Revision: 445724
- 0.5.1

* Sun Jun 16 2013 luigiwalser <luigiwalser> 0.5.0-1.mga4
+ Revision: 443536
- 0.5.0

* Sat Jan 12 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 356978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 luigiwalser <luigiwalser> 0.3.0-1.mga3
+ Revision: 339711
- 0.3.0
- fix source URL

* Fri Jul 27 2012 fwang <fwang> 0.2.2-6.mga3
+ Revision: 275025
- drop .la file

* Wed Jan 19 2011 ahmad <ahmad> 0.2.2-5.mga1
+ Revision: 24969
- drop old/unneeded scriptlets
- imported package libdiscid


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-4mdv2011.0
+ Revision: 602537
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-3mdv2010.1
+ Revision: 520764
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.2.2-2mdv2010.0
+ Revision: 425528
- rebuild

* Thu Oct 16 2008 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdv2009.1
+ Revision: 294296
- new version
- update license
- new major

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.2.1-2mdv2009.0
+ Revision: 267812
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2009.0
+ Revision: 211239
- new version
- new major

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.1.1-1mdv2008.1
+ Revision: 136550
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdv2008.0
+ Revision: 79927
- new version
- new devel name


* Sat Nov 25 2006 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2007.0
+ Revision: 87240
- fix provides
- Import libdiscid

* Sat Nov 25 2006 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2007.1
- initial package

